Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Interface QXmlContentHandlerInterface

All Superinterfaces:
  QtJambiInterface

All Known Implementing Classes:
  QXmlContentHandler, QXmlDefaultHandler

    public interface QXmlContentHandlerInterface

extends QtJambiInterface

Method Summary
`boolean` | `characters(java.lang.String ch)` The reader calls this function when it has parsed a chunk of character data (either normal character data or character data inside a CDATA section; if you need to distinguish between those two types you must use `QXmlLexicalHandler::startCDATA()` and `QXmlLexicalHandler::endCDATA()`).
`boolean` | `endDocument()` The reader calls this function after it has finished parsing.
`boolean` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName)` The reader calls this function when it has parsed an end element tag with the qualified name `qName`, the local name `localName` and the namespace URI `namespaceURI`.
`boolean` | `endPrefixMapping(java.lang.String prefix)` The reader calls this function to signal the end of a prefix mapping for the prefix `prefix`.
`java.lang.String` | `errorString()` The reader calls this function to get an error string, e.g.
`boolean` | `ignorableWhitespace(java.lang.String ch)` Some readers may use this function to report each chunk of whitespace in element content.
`boolean` | `processingInstruction(java.lang.String target, java.lang.String data)` The reader calls this function when it has parsed a processing instruction.
`void` | `setDocumentLocator(QXmlLocator locator)` The reader calls this function before it starts parsing the document.
`boolean` | `skippedEntity(java.lang.String name)` Some readers may skip entities if they have not seen the declarations (e.g.
`boolean` | `startDocument()` The reader calls this function when it starts parsing the document.
`boolean` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, QXmlAttributes atts)` The reader calls this function when it has parsed a start element tag.
`boolean` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)` The reader calls this function to signal the begin of a prefix-URI namespace mapping scope.

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### characters

    boolean characters(java.lang.String ch)

  The reader calls this function when it has parsed a chunk of character data (either normal character data or character data inside a CDATA section; if you need to distinguish between those two types you must use `QXmlLexicalHandler::startCDATA()` and `QXmlLexicalHandler::endCDATA()`). The character data is reported in `ch`.

  Some readers report whitespace in element content using the `ignorableWhitespace()` function rather than using this one.

  A reader may report the character data of an element in more than one chunk; e.g. a reader might want to report "a<b" in three `characters()` events ("a ", "<" and " b").

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString()` to get the error message.

### endDocument

    boolean endDocument()

  The reader calls this function after it has finished parsing. It is called just once, and is the last handler function called. It is called after the reader has read all input or has abandoned parsing because of a fatal error.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString()` to get the error message.

See also:
  `startDocument()`.

### endElement

    boolean endElement(java.lang.String namespaceURI,
                       java.lang.String localName,
                       java.lang.String qName)

  The reader calls this function when it has parsed an end element tag with the qualified name `qName`, the local name `localName` and the namespace URI `namespaceURI`.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString()` to get the error message.

See also:
  `startElement()`, and Namespace Support via Features.

### endPrefixMapping

    boolean endPrefixMapping(java.lang.String prefix)

  The reader calls this function to signal the end of a prefix mapping for the prefix `prefix`.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString()` to get the error message.

See also:
  `startPrefixMapping()`, and Namespace Support via Features.

### errorString

    java.lang.String errorString()

  The reader calls this function to get an error string, e.g. if any of the handler functions returns false.

### ignorableWhitespace

    boolean ignorableWhitespace(java.lang.String ch)

  Some readers may use this function to report each chunk of whitespace in element content. The whitespace is reported in `ch`.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString()` to get the error message.

### processingInstruction

    boolean processingInstruction(java.lang.String target,
                                  java.lang.String data)

  The reader calls this function when it has parsed a processing instruction.

  `target` is the target name of the processing instruction and `data` is the data in the processing instruction.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString()` to get the error message.

### setDocumentLocator

    void setDocumentLocator(QXmlLocator locator)

  The reader calls this function before it starts parsing the document. The argument `locator` is a pointer to a `QXmlLocator` which allows the application to get the parsing position within the document.

  Do not destroy the `locator`; it is destroyed when the reader is destroyed. (Do not use the `locator` after the reader is destroyed).

### skippedEntity

    boolean skippedEntity(java.lang.String name)

  Some readers may skip entities if they have not seen the declarations (e.g. because they are in an external DTD). If they do so they report that they skipped the entity called `name` by calling this function.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString()` to get the error message.

### startDocument

    boolean startDocument()

  The reader calls this function when it starts parsing the document. The reader calls this function just once, after the call to `setDocumentLocator()`, and before any other functions in this class or in the `QXmlDTDHandler` class are called.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString()` to get the error message.

See also:
  `endDocument()`.

### startElement

    boolean startElement(java.lang.String namespaceURI,
                         java.lang.String localName,
                         java.lang.String qName,
                         QXmlAttributes atts)

  The reader calls this function when it has parsed a start element tag.

  There is a corresponding `endElement()` call when the corresponding end element tag is read. The `startElement()` and `endElement()` calls are always nested correctly. Empty element tags (e.g. `<x/>`) cause a `startElement()` call to be immediately followed by an `endElement()` call.

  The attribute list provided only contains attributes with explicit values. The attribute list contains attributes used for namespace declaration (i.e. attributes starting with xmlns) only if the namespace-prefix property of the reader is true.

  The argument `namespaceURI` is the namespace URI, or an empty string if the element has no namespace URI or if no namespace processing is done. `localName` is the local name (without prefix), or an empty string if no namespace processing is done, `qName` is the qualified name (with prefix) and `atts` are the attributes attached to the element. If there are no attributes, `atts` is an empty attributes object.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString()` to get the error message.

See also:
  `endElement()`, and Namespace Support via Features.

### startPrefixMapping

    boolean startPrefixMapping(java.lang.String prefix,
                               java.lang.String uri)

  The reader calls this function to signal the begin of a prefix-URI namespace mapping scope. This information is not necessary for normal namespace processing since the reader automatically replaces prefixes for element and attribute names.

  Note that `startPrefixMapping()` and `endPrefixMapping()` calls are not guaranteed to be properly nested relative to each other: all `startPrefixMapping()` events occur before the corresponding `startElement()` event, and all `endPrefixMapping()` events occur after the corresponding `endElement()` event, but their order is not otherwise guaranteed.

  The argument `prefix` is the namespace prefix being declared and the argument `uri` is the namespace URI the prefix is mapped to.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString()` to get the error message.

See also:
  `endPrefixMapping()`, and Namespace Support via Features.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD